# [YooKassa API SDK](../home.md)

# Namespace: \YooKassa\Model\PaymentMethod

## Parent: [\YooKassa\Model](../namespaces/yookassa-model.md)

### Namespaces

* [\YooKassa\Model\PaymentMethod\B2b](../namespaces/yookassa-model-paymentmethod-b2b.md)

### Classes

| Name | Summary |
| ---- | ------- |
| [\YooKassa\Model\PaymentMethod\AbstractPaymentMethod](../classes/YooKassa-Model-PaymentMethod-AbstractPaymentMethod.md) | Абстрактный класс, описывающий основные свойства и методы платежных методов |
| [\YooKassa\Model\PaymentMethod\BankCardSource](../classes/YooKassa-Model-PaymentMethod-BankCardSource.md) | BankCardSource - Источник данных банковской карты |Код|Описание| --- | --- |apple_pay|Источник данных apple_pay| |google_pay|Источник данных google_pay| |
| [\YooKassa\Model\PaymentMethod\PaymentMethodAlfaBank](../classes/YooKassa-Model-PaymentMethod-PaymentMethodAlfaBank.md) | Класс, описывающий метод оплаты, при оплате через Альфа Банк |
| [\YooKassa\Model\PaymentMethod\PaymentMethodApplePay](../classes/YooKassa-Model-PaymentMethod-PaymentMethodApplePay.md) | Класс, описывающий метод оплаты, при оплате через Apple Pay |
| [\YooKassa\Model\PaymentMethod\PaymentMethodB2bSberbank](../classes/YooKassa-Model-PaymentMethod-PaymentMethodB2bSberbank.md) | Класс, описывающий метод оплаты, при оплате через Сбербанк Бизнес Онлайн |
| [\YooKassa\Model\PaymentMethod\PaymentMethodBankCard](../classes/YooKassa-Model-PaymentMethod-PaymentMethodBankCard.md) | Класс, описывающий метод оплаты банковской картой |
| [\YooKassa\Model\PaymentMethod\PaymentMethodCardType](../classes/YooKassa-Model-PaymentMethod-PaymentMethodCardType.md) | Тип банковской карты. Возможные значения: - `MasterCard` (для карт Mastercard и Maestro), - `Visa` (для карт Visa и Visa Electron), - `Mir`, - `UnionPay`, - `JCB`, - `AmericanExpress`, - `DinersClub` - `Unknown`. |
| [\YooKassa\Model\PaymentMethod\PaymentMethodCash](../classes/YooKassa-Model-PaymentMethod-PaymentMethodCash.md) | Класс, описывающий метод оплаты, при оплате наличными через терминал |
| [\YooKassa\Model\PaymentMethod\PaymentMethodFactory](../classes/YooKassa-Model-PaymentMethod-PaymentMethodFactory.md) | Фабрика создания объекта платежных методов из массива |
| [\YooKassa\Model\PaymentMethod\PaymentMethodGooglePay](../classes/YooKassa-Model-PaymentMethod-PaymentMethodGooglePay.md) | Класс, описывающий метод оплаты, при оплате через Google Pay |
| [\YooKassa\Model\PaymentMethod\PaymentMethodInstallments](../classes/YooKassa-Model-PaymentMethod-PaymentMethodInstallments.md) | Класс, описывающий метод оплаты при оплате по частям |
| [\YooKassa\Model\PaymentMethod\PaymentMethodMobileBalance](../classes/YooKassa-Model-PaymentMethod-PaymentMethodMobileBalance.md) | Класс, описывающий метод оплаты, при оплате с баланса мобильного телефона |
| [\YooKassa\Model\PaymentMethod\PaymentMethodPsb](../classes/YooKassa-Model-PaymentMethod-PaymentMethodPsb.md) | Абстрактный класс, описывающий основные свойства и методы платежных методов |
| [\YooKassa\Model\PaymentMethod\PaymentMethodQiwi](../classes/YooKassa-Model-PaymentMethod-PaymentMethodQiwi.md) | Класс, описывающий метод оплаты, при оплате через Qiwi |
| [\YooKassa\Model\PaymentMethod\PaymentMethodSberbank](../classes/YooKassa-Model-PaymentMethod-PaymentMethodSberbank.md) | Класс, описывающий метод оплаты, при оплате через Сбербанк Онлайн |
| [\YooKassa\Model\PaymentMethod\PaymentMethodTinkoffBank](../classes/YooKassa-Model-PaymentMethod-PaymentMethodTinkoffBank.md) | Класс, описывающий метод оплаты, при оплате через Tinkoff |
| [\YooKassa\Model\PaymentMethod\PaymentMethodWebmoney](../classes/YooKassa-Model-PaymentMethod-PaymentMethodWebmoney.md) | Класс, описывающий метод оплаты, при оплате через Webmoney. |
| [\YooKassa\Model\PaymentMethod\PaymentMethodWechat](../classes/YooKassa-Model-PaymentMethod-PaymentMethodWechat.md) | Абстрактный класс, описывающий основные свойства и методы платежных методов |
| [\YooKassa\Model\PaymentMethod\PaymentMethodYooMoney](../classes/YooKassa-Model-PaymentMethod-PaymentMethodYooMoney.md) | Класс, описывающий метод оплаты, при оплате через ЮMoney |

---

### Top Namespaces

* [\YooKassa](../namespaces/yookassa.md)

---

### Reports
* [Errors - 0](../reports/errors.md)
* [Markers - 0](../reports/markers.md)
* [Deprecated - 13](../reports/deprecated.md)

---

This document was automatically generated from source code comments on 2022-01-21 using [phpDocumentor](http://www.phpdoc.org/)

&copy; 2022 YooMoney